Changeset 73638 in spip-zone


Ignore:
Timestamp:
Jun 16, 2013, 9:46:44 PM (6 years ago)
Author:
kent1@…
Message:

On ajoute un message d'erreur si id_parent et id_rubrique identiques sur les rubriques (ne devrait pas se produire)

Location:
_plugins_/diogene/diogene/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/diogene/diogene/trunk/diogene_pipelines.php

    r73525 r73638  
    337337                //if (_request('id_parent') < 0) return $flux;
    338338
     339                if($objet == 'rubrique' &&
     340                        (_request('id_rubrique') == _request('id_parent'))){
     341                                $flux['data']['id_parent'] = _T('diogene:erreur_id_parent_id_rubrique');
     342                }
     343                       
    339344                $flux['data'] = pipeline('diogene_verifier',
    340345                        array(
     
    481486                $flux = pipeline('diogene_traiter',$flux);
    482487
     488        /**
     489         * Attention au herit envoyé dans le privé
     490         */
    483491        if(($flux['args']['table'] == 'spip_articles') && _request('changer_lang') && _request('changer_lang') != 'herit'){
    484492                $flux['data']['lang'] = _request('changer_lang');
  • _plugins_/diogene/diogene/trunk/lang/diogene_fr.php

    r69759 r73638  
    3232        'erreur_droits_objet_publier' => 'Vos droits actuels ne vous autorisent pas à publier ce type d\'objet.',
    3333        'erreur_forums' => 'Erreur dans le choix de la configuration des forums',
     34        'erreur_id_parent_id_rubrique' => 'Vous ne pouvez pas mettre cette rubrique dans elle-même.',
    3435        'erreur_identifiant_existant' => 'Cet identifiant est déjà existant',
    3536        'erreur_objet_diogene_max' => 'Le nombre de masques maximum (@max@) pour ce type d\'objet (@objet@) est déjà atteint.',
  • _plugins_/diogene/diogene/trunk/paquet.xml

    r73525 r73638  
    22        prefix="diogene"
    33        categorie="edition"
    4         version="1.6.0"
     4        version="1.6.1"
    55        etat="stable"
    66        compatibilite="[3.0.0;3.0.99]"
Note: See TracChangeset for help on using the changeset viewer.